petsc-3.7.1 2016-05-15
Report Typos and Errors

# KSPSetPCSide

Sets the preconditioning side.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetPCSide(KSP ksp,PCSide side)

Logically Collective on KSP Many br

### Input Parameter

ksp -iterative context obtained from KSPCreate() Many br

### Output Parameter

side -the preconditioning side, where side is one of Many br

          PC_LEFT - left preconditioning (default)
          PC_RIGHT - right preconditioning
          PC_SYMMETRIC - symmetric preconditioning

Many br

### Options Database Keys

-ksp_pc_side <right,left,symmetric> - Many brNotes: Many brLeft preconditioning is used by default for most Krylov methods except KSPFGMRES which only supports right preconditioning. Many br

For methods changing the side of the preconditioner changes the norm type that is used, see KSPSetNormType(). Many br

Symmetric preconditioning is currently available only for the KSPQCG method. Note, however, that Many brsymmetric preconditioning can be emulated by using either right or left Many brpreconditioning and a pre or post processing step. Many br

Setting the PC side often affects the default norm type. See KSPSetNormType() for details. Many br

Many br

### Keywords

KSP, set, right, left, symmetric, side, preconditioner, flag

### See Also

KSPGetPCSide(), KSPSetNormType(), KSPGetNormType()

Level:intermediate
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages